Events
Poll typed events with a monotonic cursor
GET
/v1/eventsEvents are append-only; the id is the cursor. Pass ?cursor=<last seen id> to receive strictly newer events in order. The polling alternative to webhooks.
Parameters
cursorin query,integer,nulllimitin query,integerwalletin query,stringtypein query,"policy.updated" | "intent.created" | "intent.executing" | "intent.filled" | "intent.cancelled" | "intent.aborted" | "policy.violated" | "budget.threshold" | "balance.low" | "gas.low" | "delegation.created" | "delegation.confirmed" | "delegation.expiring" | "delegation.renewed" | "delegation.revoked" | "reconciliation.completed" | "reconciliation.discrepancy" | "security.alert" | "ops.alert" | "ingest.silent" | "ingest.recovered" | "pm.credential_stored" | "pm.credential_revoked" | "pm.order_placed" | "balance.topup_auto" | "balance.topup_failed" | "balance.auto_topup_exhausted" | "balance.topup_recovered" | "balance.debited" | "auto_topup.expiring" | "account.control_changed" | "pm.exposure_high" | "pm.trade_ready" | "pm.trade_ready_stopped" | "venue.degraded" | "platform.vendor_changed" | "platform.prepaid_caps_changed"
Responses
200Ordered events after the cursor
eventsobject[](required)next_cursorinteger,null(required)
Example
curl -X GET https://api.cofferline.com/v1/events \ -H "authorization: Bearer $TOKEN"